Last Comment Bug 595630 - Change "-moz-box-shadow" to "box-shadow" in suite/
: Change "-moz-box-shadow" to "box-shadow" in suite/
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Philip Chee
:
Mentors:
Depends on: 590039
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-12 06:04 PDT by Philip Chee
Modified: 2010-10-07 09:37 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Rename "-moz-box-shadow" to "box-shadow". (6.55 KB, patch)
2010-09-12 12:42 PDT, Philip Chee
stefanh: ui‑review-
Details | Diff | Review
Patch v1.1 Fix nit. (6.55 KB, patch)
2010-09-13 00:48 PDT, Philip Chee
neil: review+
stefanh: review+
Details | Diff | Review

Description Philip Chee 2010-09-12 06:04:40 PDT
Since Bug 590039 landed,  we can now drop the -moz prefix in our theme files. We can use the script in http://hg.mozilla.org/mozilla-central/rev/11cf38adabf3
e.g.
find * -type f -exec sed -i -e 's/\<MozBoxShadow\>/boxShadow/g;s/-moz-box-shadow/box-shadow/gi' {} \;
Comment 1 Stefan [:stefanh] 2010-09-12 08:06:34 PDT
We need to fix the values as well, see https://bugzilla.mozilla.org/show_bug.cgi?id=590039#c23.
Comment 2 Philip Chee 2010-09-12 12:42:29 PDT
Created attachment 474560 [details] [diff] [review]
Patch v1.0 Rename "-moz-box-shadow" to "box-shadow".

This patch is generated with:
$ find -name '*.css' -type f -exec sed -i -e 's/\<MozBoxShadow\>/boxShadow/g;s/-moz-box-shadow/box-shadow/gi' {} \;

Then audited for blur radius changes based on the table from: https://bugzilla.mozilla.org/show_bug.cgi?id=590039#c23

>  David Baron [:dbaron]      2010-09-10 14:42:07 PDT
> 
> Comment on attachment 474212 [details] [diff] [review]
> audit themes (and a few tests) for blur radius changes
> 
> This is really repetitive, but basically it's a replacement of the blur radius
> values according to the following table:
> 
> from to
> 1px 1px
> 2px 1.5px
> 3px 2px
> 4px 3px
> 5px 3.5px
> 6px 4px
> 7px 5px
> 8px 5.5px
> 9px 6.5px
> 10px 7px
> 11px 8px
> 12px 8.5px
> 13px 9px
> 14px 10px
> 15px 10.5px
> 16px 11.5px
> 17px 12px
> 18px 13px
> 19px 13.5px
> 20px 14px
> 21px 15px
> 22px 15.5px
> 23px 16px
> 24px 17px
Comment 3 Stefan [:stefanh] 2010-09-12 13:50:34 PDT
Comment on attachment 474560 [details] [diff] [review]
Patch v1.0 Rename "-moz-box-shadow" to "box-shadow".

You've missed the 3px --> 2px changes.
Comment 4 neil@parkwaycc.co.uk 2010-09-12 14:22:47 PDT
Comment on attachment 474560 [details] [diff] [review]
Patch v1.0 Rename "-moz-box-shadow" to "box-shadow".

>-  -moz-box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 14px, inset #000 0 1px 4px, inset rgba(0, 0, 0, 0.2) 0 1px 4px;
>+  box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 10px, inset #000 0 1px 4px, inset rgba(0, 0, 0, 0.2) 0 1px 3px;
I don't know what stefanh was talking about but I think you forgot to change one of these from 4px to 3px.
Comment 5 Stefan [:stefanh] 2010-09-12 14:34:41 PDT
Actually, I was wrong since I missed that it was the third value..., but I think you missed this one at least:

 #identity-box:-moz-focusring {
-  -moz-box-shadow: 0 0 3px 1px -moz-mac-focusring inset,
+  -moz-box-shadow: 0 0 2px 1px -moz-mac-focusring inset,
                    0 0 3px 2px -moz-mac-focusring;
Comment 6 Philip Chee 2010-09-12 20:46:45 PDT
> but I
> think you missed this one at least:
> 
>  #identity-box:-moz-focusring {
> -  -moz-box-shadow: 0 0 3px 1px -moz-mac-focusring inset,
> +  -moz-box-shadow: 0 0 2px 1px -moz-mac-focusring inset,
>                     0 0 3px 2px -moz-mac-focusring;
Please file a bug against Firefox. This bug is for suite/ only.
Comment 7 Philip Chee 2010-09-13 00:48:12 PDT
Created attachment 474635 [details] [diff] [review]
Patch v1.1 Fix nit.

>>-  -moz-box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 14px, inset #000 0 1px 4px, inset rgba(0, 0, 0, 0.2) 0 1px 4px;
>>+  box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 10px, inset #000 0 1px 4px, inset rgba(0, 0, 0, 0.2) 0 1px 3px;
> I don't know what stefanh was talking about
Me neither.
> but I think you forgot to change one of these from 4px to 3px.
Fixed.
Comment 8 Philip Chee 2010-09-13 00:49:46 PDT
Comment on attachment 474635 [details] [diff] [review]
Patch v1.1 Fix nit.

># HG changeset patch
># User Philip Chee <philip.chee@gmail.com>
># Date 1284363662 -28800
># Node ID 8babe0673f48dc6b96846bfea3a37a40c8f2bae3
># Parent  9992caf4df0785d1f9c490356588964061925edb
>Bug 595630 Change "-moz-box-shadow" to "box-shadow" in suite/
>
>diff --git a/suite/themes/classic/mac/communicator/bookmarks/bookmarksManager.css b/suite/themes/classic/mac/communicator/bookmarks/bookmarksManager.css
>--- a/suite/themes/classic/mac/communicator/bookmarks/bookmarksManager.css
>+++ b/suite/themes/classic/mac/communicator/bookmarks/bookmarksManager.css
>@@ -114,17 +114,17 @@ button[group="scopeBar"]:hover,
> button[group="scopeBar"][checked="true"] {
>   color: #FFFFFF;
>   text-shadow: 0 1px rgba(0, 0, 0, .4);
>   background-color: rgba(0, 0, 0, .32);
> }
> 
> button[group="scopeBar"]:active:hover,
> button[group="scopeBar"][checked="true"] {
>-  -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.4), 0 1px rgba(255, 255, 255, 0.4);
>+  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.4), 0 1px rgba(255, 255, 255, 0.4);
> }
> 
> button[group="scopeBar"]:active:hover {
>   background-color: rgba(0, 0, 0, .5);
> }
> 
> .button-text {
>   margin: 0 !important;
>@@ -140,23 +140,23 @@ button[group="scopeBar"]:active:hover {
>   margin: 0 4px;
>   padding: 0 10px;
>   min-width: 0;
>   -moz-appearance: none;
>   border-radius: 10000px;
>   border: 1px solid rgba(0, 0, 0, .4);
>   text-shadow: 0 1px rgba(255, 255, 255, .4);
>   background: -moz-linear-gradient(top, #FFF, #CACACA) repeat-x;
>-  -moz-box-shadow: 0 1px rgba(255, 255, 255, .4);
>+  box-shadow: 0 1px rgba(255, 255, 255, .4);
> }
> 
> #saveSearch:active:hover {
>   background: #CCCCCC;
>-  -moz-box-shadow: inset 0 1px 4px rgba(0, 0, 0, .2), 0 1px rgba(255, 255, 255, .4);
>+  box-shadow: inset 0 1px 3px rgba(0, 0, 0, .2), 0 1px rgba(255, 255, 255, .4);
> }
> 
> #saveSearch:focus {
>-  -moz-box-shadow: 0 0 1px -moz-mac-focusring inset, 0 0 4px 1px -moz-mac-focusring, 0 0 2px 1px -moz-mac-focusring, 0 1px rgba(255, 255, 255, .4);
>+  box-shadow: 0 0 1px -moz-mac-focusring inset, 0 0 3px 1px -moz-mac-focusring, 0 0 1.5px 1px -moz-mac-focusring, 0 1px rgba(255, 255, 255, .4);
> }
> 
> #saveSearch:active:hover:focus {
>-  -moz-box-shadow: 0 0 1px -moz-mac-focusring inset, 0 0 4px 1px -moz-mac-focusring, 0 0 2px 1px -moz-mac-focusring, inset 0 1px 4px rgba(0, 0, 0, .2), 0 1px rgba(255, 255, 255, .4);
>+  box-shadow: 0 0 1px -moz-mac-focusring inset, 0 0 3px 1px -moz-mac-focusring, 0 0 1.5px 1px -moz-mac-focusring, inset 0 1px 3px rgba(0, 0, 0, .2), 0 1px rgba(255, 255, 255, .4);
> }
>diff --git a/suite/themes/classic/mac/communicator/downloads/downloadmanager.css b/suite/themes/classic/mac/communicator/downloads/downloadmanager.css
>--- a/suite/themes/classic/mac/communicator/downloads/downloadmanager.css
>+++ b/suite/themes/classic/mac/communicator/downloads/downloadmanager.css
>@@ -49,24 +49,24 @@
>   -moz-box-align: center;
>   text-shadow: 0 1px rgba(255, 255, 255, 0.4);
>   padding: 0;
>   margin: 2px 4px 0 4px;
>   min-height: 20px;
>   min-width: 0;
>   border: 1px solid rgba(59, 59, 59, 0.9);
>   border-radius: 3px;
>-  -moz-box-shadow: 0 1px rgba(255, 255, 255, 0.4);
>+  box-shadow: 0 1px rgba(255, 255, 255, 0.4);
>   background-color: #B5B5B5;
>   background-image: -moz-linear-gradient(top, #FFFFFF, #ADADAD);
> }
> 
> #clearListButton:active:hover:not([disabled="true"]) {
>   background-image: none;
>-  -moz-box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 14px, inset #000000 0 1px 4px, inset rgba(0, 0, 0, 0.2) 0 1px 4px, 0 1px rgba(255, 255, 255, .4);
>+  box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 10px, inset #000000 0 1px 3px, inset rgba(0, 0, 0, 0.2) 0 1px 3px, 0 1px rgba(255, 255, 255, .4);
> }
> 
> #clearListButton[disabled="true"],
> #clearListButton:-moz-window-inactive {
>   color: #7C7C7C !important; /* remove this when we support click-through */
>   border-color: rgba(146, 146, 146, 0.84);
>   background-image: -moz-linear-gradient(top, #FFFFFF, #CCCCCC);
> }
>diff --git a/suite/themes/classic/mac/navigator/pageInfo.css b/suite/themes/classic/mac/navigator/pageInfo.css
>--- a/suite/themes/classic/mac/navigator/pageInfo.css
>+++ b/suite/themes/classic/mac/navigator/pageInfo.css
>@@ -59,17 +59,17 @@ windowdragbox {
> }
> 
> #tabs {
>   padding: 1px;
>   margin: 5px 0 9px;
>   -moz-appearance: none;
>   background-color: rgba(0, 0, 0, 0.55);
>   border-radius: 3px;
>-  -moz-box-shadow: 0 1px rgba(255, 255, 255, 0.4);
>+  box-shadow: 0 1px rgba(255, 255, 255, 0.4);
> }
> 
> .tab-middle {
>   padding: 0;
> }
> 
> .tab-icon {
>   display: none;
>@@ -88,45 +88,45 @@ tab {
>   padding: 0 4px;
>   border: none;
>   border-left: 1px solid rgba(0, 0, 0, 0.8);
>   background: -moz-linear-gradient(top, #FFF, #ADADAD) repeat-x;
> }
> 
> tab:active:hover {
>   background: #B5B5B5;
>-  -moz-box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 14px, inset #000 0 1px 4px, inset rgba(0, 0, 0, 0.2) 0 1px 4px;
>+  box-shadow: inset rgba(0, 0, 0, 0.3) 0 -6px 10px, inset #000 0 1px 3px, inset rgba(0, 0, 0, 0.2) 0 1px 3px;
> }
> 
> tab[selected=true] {
>   color: #FFF !important;
>   text-shadow:  0 1px rgba(0, 0, 0, 0.4);
>   background: #606060;
>-  -moz-box-shadow: inset #2A2A2A 0 3px 5px;
>+  box-shadow: inset #2A2A2A 0 3px 3.5px;
> }
> 
> tab[selected=true]:active:hover {
>   background-color: #4E4E4E;
>-  -moz-box-shadow: inset #1c1c1c 0 3px 5px;
>+  box-shadow: inset #1c1c1c 0 3px 3.5px;
> }
> 
> #tabs:-moz-window-inactive {
>   background-color: rgba(0, 0, 0, 0.25);
> }
> 
> tab:-moz-window-inactive {
>   color: #7C7C7C !important; /* remove this when we support click-through */
>   border-color: rgba(0, 0, 0, 0.4);
>   background-image: -moz-linear-gradient(top, #FFF, #CCC);
> }
> 
> tab[selected=true]:-moz-window-inactive {
>   color: #E6E6E6 !important; /* remove this when we support click-through */
>   background: #8E8E8E;
>-  -moz-box-shadow: inset rgba(0, 0, 0, 0.5) 0 3px 5px;
>+  box-shadow: inset rgba(0, 0, 0, 0.5) 0 3px 3.5px;
> }
> 
> #tabs:-moz-locale-dir(ltr) > :first-child,
> #tabs:-moz-locale-dir(rtl) > :last-child {
>   border-top-left-radius: 2px;
>   border-bottom-left-radius: 2px;
>    border-left: none !important;
> }
>diff --git a/suite/themes/classic/navigator/tabbrowser.css b/suite/themes/classic/navigator/tabbrowser.css
>--- a/suite/themes/classic/navigator/tabbrowser.css
>+++ b/suite/themes/classic/navigator/tabbrowser.css
>@@ -1,17 +1,17 @@
> 
> @namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
> 
> .tabbrowser-strip {
>   min-height: 0px;
>   padding: 0px;
>   /* 1px ThreeDShadow bottom border that doesn't take up space and that
>      selected panel can just draw over */
>-  -moz-box-shadow: 0px -1px ThreeDShadow inset;
>+  box-shadow: 0px -1px ThreeDShadow inset;
> }
> 
> tabpanels {
>   -moz-appearance: none;
> }
> 
> .tabbrowser-tabs {
>   padding-top: 1px;
Comment 9 Philip Chee 2010-09-13 00:50:58 PDT
Comment on attachment 474635 [details] [diff] [review]
Patch v1.1 Fix nit.

Hopefully I don't get the stefanh from the Star Trek mirror universe this time.
Comment 10 Stefan [:stefanh] 2010-09-13 08:09:54 PDT
Comment on attachment 474635 [details] [diff] [review]
Patch v1.1 Fix nit.

Sorry for the earlier confusion, I think I mixed up some attachments...
Comment 11 Philip Chee 2010-09-13 08:40:33 PDT
Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/3d74a139ec0d
Comment 13 Philip Chee 2010-10-07 09:06:19 PDT
> Do you missed one -moz-box-shadow?
That got checked in at Tue Oct 05 12:09:20 2010 +0100
Comment 14 Stefan [:stefanh] 2010-10-07 09:37:40 PDT
(In reply to comment #12)
> Do you missed one -moz-box-shadow?
> http://mxr.mozilla.org/comm-central/source/suite/themes/classic/mac/navigator/navigator.css#321

Filed bug 602538.

Note You need to log in before you can comment on or make changes to this bug.